DisplayLink Forum

DisplayLink Forum (https://displaylink.org/forum/index.php)
-   Linux and Open Source (https://displaylink.org/forum/forumdisplay.php?f=29)
-   -   Displaylink Driver not installing (https://displaylink.org/forum/showthread.php?t=67673)

kingeorge 05-07-2021 03:11 PM

Displaylink Driver not installing
 
Due to a recent Linux update, I had to reinstall the displaylink driver and ran into errors.

Pasting them below
------------------------------------------------------------------------------------------------------
Verifying archive integrity... 100% All good.
Uncompressing DisplayLink Linux Driver 5.4.0-55.153 100%
DisplayLink Linux Software 5.4.0-55.153 install script called:
Distribution discovered: Pop!_OS 20.10

Installing

[ Installing EVDI ]
[[ Installing EVDI DKMS module ]]

Creating symlink /var/lib/dkms/evdi/1.9.1/source ->
/usr/src/evdi-1.9.1

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area...
make -j8 KERNELRELEASE=5.11.0-7614-generic all INCLUDEDIR=/lib/modules/5.11.0-7614-generic/build/include KVERSION=5.11.0-7614-generic DKMS_BUILD=1...(bad exit status: 2)
ERROR (dkms apport): binary package for evdi: 1.9.1 not found
Error! Bad return status for module build on kernel: 5.11.0-7614-generic (x86_64)
Consult /var/lib/dkms/evdi/1.9.1/build/make.log for more information.
ERROR: Failed to install evdi to the kernel tree.
--------------------------------------------------------------------------------------------------------------
The make.log is attached. Thanks for any direction on what could be done

ikarus 06-03-2021 02:08 PM

I have encountered the exact same problem. I have a 20.10 Ubuntu installation and the latest Displaylink driver. Everything was working fine until recent Linux update - I'm not entirely sure, but I think it stopped working after I upgraded to Ubuntu 20.10 from 20.04. I tried to reinstall the driver but it didn't work and I get the exact same error message as above. Is there any solution?

Following message is contained in '/var/lib/dkms/evdi/1.9.1/build/make.log' as suggested by the error output above:

----------------------------------------------------------------------------------------------------------
DKMS make.log for evdi-1.7.0+dfsg for kernel 5.8.0-53-generic (x86_64)
Do 3. Jun 16:21:11 CEST 2021
make: Entering directory '/usr/src/linux-headers-5.8.0-53-generic'

ERROR: Kernel configuration is invalid.
include/generated/autoconf.h or include/config/auto.conf are missing.
Run 'make oldconfig && make prepare' on kernel src to fix it.

make: *** [Makefile:746: include/config/auto.conf] Error 1
make: Leaving directory '/usr/src/linux-headers-5.8.0-53-generic'
----------------------------------------------------------------------------------------------------------

my guess is that because ubuntu 20.10 switched to the new linux kernel 5.8 and the EVDI modules are not properly configured for it the installations fails. If that is indeed the reason is there a way to configure evdi to be compatible with this new linux kernel ?

Igor Lopez 06-12-2021 07:31 AM

Same issue here, Ubuntu 20.04
My two DisplayPorts worked as expected until an update went thru.

Found several erros in the make.log file:
Code:

/var/lib/dkms/evdi/1.7.0/build/evdi_drv.c:92:3: error: ‘struct drm_driver’ has no member named ‘gem_free_object’; did you mean ‘gem_open_object’?
/var/lib/dkms/evdi/1.7.0/build/evdi_drv.c:92:21: error: initialization of ‘void (*)(struct drm_device *)’ from incompatible pointer type ‘void (*)(struct drm_gem_object *)’ [-Werror=incompatible-pointer-types]
/var/lib/dkms/evdi/1.7.0/build/evdi_drv.c:173:20: error: ‘struct dev_archdata’ has no member named ‘iommu’
/var/lib/dkms/evdi/1.7.0/build/evdi_modeset.c:133:2: error: implicit declaration of function ‘drm_gem_object_put_unlocked’; did you mean ‘drm_gem_object_put_locked’? [-Werror=implicit-function-declaration]
/var/lib/dkms/evdi/1.7.0/build/evdi_fb.c:322:3: error: implicit declaration of function ‘drm_gem_object_put_unlocked’; did you mean ‘drm_gem_object_put_locked’? [-Werror=implicit-function-declaration]
/var/lib/dkms/evdi/1.7.0/build/evdi_gem.c:85:2: error: implicit declaration of function ‘drm_gem_object_put_unlocked’; did you mean ‘drm_gem_object_put_locked’? [-Werror=implicit-function-declaration]
/var/lib/dkms/evdi/1.7.0/build/evdi_gem.c:306:33: error: passing argument 1 of ‘drm_prime_pages_to_sg’ from incompatible pointer type [-Werror=incompatible-pointer-types]
/var/lib/dkms/evdi/1.7.0/build/evdi_gem.c:306:9: error: too few arguments to function ‘drm_prime_pages_to_sg’
/var/lib/dkms/evdi/1.7.0/build/evdi_gem.c:307:1: error: control reaches end of non-void function [-Werror=return-type]

Where do we report this?


All times are GMT. The time now is 10:25 AM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2021, vBulletin Solutions, Inc.